#include "Player.h"

void Player::moveX(int dx) {
    if (x + dx < 0 || x + dx > WINDOW_WIDTH - 80) return;
    if (y < 40 && this->x + dx < 30 * 3 + 15) return;
    x += dx;
}

void Player::moveY(int dy) {
    if (y + dy < 0 || y + dy > WINDOW_HEIGHT - 96) return;
    if (y + dy < 40 && this->x < 30 * 3 + 15) return;
    y += dy;
}
